#ifndef _HALLSENSE_H_
#define _HALLSENSE_H_

#include "board.h"

typedef struct
{
	GPIO_TypeDef* GPIO_Port;
	uint16_t GPIO_Pin;
	GPIO_PinState State;
	uint8_t Changed;
} HALLSENSEInfo_TypeDef;

extern HALLSENSEInfo_TypeDef HALLSENSE;
void HALLSENSE_Init(GPIO_TypeDef* GPIOx, uint16_t GPIO_Pin);
void HALLSENSE_ReadState(void);
void HALLSENSE_Handler(void);

#endif
