#include "tsense.h"

static TSENSOR_DrvTypeDef *Tsensor_drv;

uint32_t BSP_TSENSOR_Init(void)
{
  uint32_t ret;
  
  Tsensor_drv = &SHT31DIS_T_Drv;
  /* TSENSOR Init */
  Tsensor_drv->Init(SHT31DIS_I2C_ADDRESS, NULL);	//nothing to init now
  ret = TSENSOR_OK;
  return ret;
}

/**
  * @brief  Read Humidity register of SHT31DIS.
  * @retval SHT31DIS measured humidity value.
  */
float BSP_TSENSOR_ReadTemperature(void)
{ 
  return Tsensor_drv->ReadTemp(SHT31DIS_I2C_ADDRESS);
}
